- Check that filtering is not done more than one time on bookmarks dialogs init

- Annotate "if (type == 0)" in *_get_type() with G_UNLIKELY


Stuff to port to new glib/gtk+ APIs:

- port egg-toolbar-editor to GtkIconView as soon as it supports DND (bug #150270)
- port to GOption
- port to new gtk+ uri-list DND APIs
- port Downloads directory button in prefs to GtkFileChooserButton
  (but wait for bugs #154388, #154390, #154392, #154394)
- port to confirm-overwrite signal of GtkFileChooser
- use GtkStatusIcon instead of EggStatusIcon
- use g_intern_static_string for static type name registrations
  and g_object_set_data
- use gtk_widget_get_action in toolbar code instead of g_object_get_data (., "gtk-action")
- use GtkNotebook DND

Stuff to do when dropping support for mozilla < 1.7:
- use dependent strings
- use gtk_moz_embed_set_app_components

